petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexTSComputeIFunctionFEM

Form the local residual F from the local input X using pointwise functions specified by the user

### Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMPlexTSComputeIFunctionFEM(DM dm, PetscReal time, Vec locX, Vec locX_t, Vec locF, void *user)

### Input Parameters

| dm | - The mesh
| t | - The time
| locX | - Local solution
| locX_t | - Local solution time derivative, or NULL
| user | - The user context

### Output Parameter

locF -Local output vector

### See Also

DMPlexComputeJacobianActionFEM()

### Level

developer

### Location

src/ts/utils/dmplexts.c

### Examples

src/ts/examples/tutorials/ex48.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages